TETException
Keywords: com.pdflib.TETException class

Package | Class | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pdflib
Class TETException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.pdflib.TETException

All Implemented Interfaces:
  java.io.Serializable

    public class TETException

extends java.lang.Exception

Text Extraction Toolkit (TET): Toolkit for extracting Text, Images, and Metadata from PDF Documents
Exception handling for TET.

Version:
  4.0
Author:
  Rainer Schaaf
See Also:
  Serialized Form

Constructor Summary
`TETException()`
`TETException(java.lang.String msg)`
`TETException(java.lang.String msg, int errnum, java.lang.String apiname)`

Method Summary
`java.lang.String` | `get_apiname()` Get the name of the API function which caused the exception.
`java.lang.String` | `get_errmsg()` Map standard getMessage method to get_errmsg.
`int` | `get_errnum()` Get the error number of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TETException

    public TETException()

### TETException

    public TETException(java.lang.String msg)

### TETException

    public TETException(java.lang.String msg,
                        int errnum,
                        java.lang.String apiname)

Method Detail

### get_errmsg

    public java.lang.String get_errmsg()

  Map standard getMessage method to get_errmsg.

### get_errnum

    public int get_errnum()

  Get the error number of the exception.

### get_apiname

    public java.lang.String get_apiname()

  Get the name of the API function which caused the exception.

Package | Class | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD